Loading...
Searching...
No Matches
BitVectUtils.h File Reference
`#include <RDGeneral/export.h>`
`#include "BitVects.h"`
`#include <string>`

Go to the source code of this file.

## Functions

template<typename T >
RDKIT_DATASTRUCTS_EXPORT void | FromDaylightString (T &sbv, const std::string &s)
| Construct a BitVect from the ASCII representation of a Daylight fingerprint string.
template<typename T >
RDKIT_DATASTRUCTS_EXPORT void | FromBitString (T &sbv, const std::string &s)
| Construct a BitVect from the ASCII representation of a bit string (i.e. a bunch of zeros and ones)
RDKIT_DATASTRUCTS_EXPORT ExplicitBitVect * | convertToExplicit (const SparseBitVect *sbv)
| Convert a SparseBitVector to an ExplicitBitVector.

## Function Documentation

## convertToExplicit()

RDKIT_DATASTRUCTS_EXPORT ExplicitBitVect * convertToExplicit | ( | const SparseBitVect * | sbv | ) |

Convert a SparseBitVector to an ExplicitBitVector.

Returns
  a pointer to an ExplicitBitVector Note: the caller is responsible for `delete`ing this.

## FromBitString()

template<typename T >

RDKIT_DATASTRUCTS_EXPORT void FromBitString | ( | T & | sbv,
|  | const std::string & | s
| ) |  |

Construct a BitVect from the ASCII representation of a bit string (i.e. a bunch of zeros and ones)

## FromDaylightString()

template<typename T >

RDKIT_DATASTRUCTS_EXPORT void FromDaylightString | ( | T & | sbv,
|  | const std::string & | s
| ) |  |

Construct a BitVect from the ASCII representation of a Daylight fingerprint string.